<solidify-empty-container (keydown.escape)="isEdit ? backToDetail() : backToList()"
                          [solidifyFocusFirstElement]="true"
>
  <solidify-button-toolbar-detail [deleteAvailable]="isDeletable"
                                  [currentModel]="currentObs | async"
                                  [formPresentational]="formPresentational"
                                  [mode]="isEdit ? 'edit' : 'detail'"
                                  [backToListNavigate]="backToListNavigate()"
                                  (backToDetailChange)="backToDetail()"
                                  (deleteChange)="delete()"
                                  (editChange)="edit()"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-preservation-space-organizational-unit-archive-acl-form #formPresentational
                                                                  *ngIf="isReadyToBeDisplayedObs | async"
                                                                  [editAvailable]="editAvailable"
                                                                  [model]="currentObs | async"
                                                                  [orgUnitId]="orgUnitId"
                                                                  [readonly]="!isEdit"
                                                                  (checkAvailableChange)="checkAvailable($event)"
                                                                  (dirtyChange)="updateCanDeactivate($event)"
                                                                  (editChange)="edit()"
                                                                  (navigate)="navigate($event)"
                                                                  (submitChange)="update($event)"
    >
    </dlcm-preservation-space-organizational-unit-archive-acl-form>
  </div>
</solidify-empty-container>
